# Änderungshistorie einer Person

`GET https://{tenant}.stamp.eu/rest/employees/{employee}/audit_trail`

Returns paginated audit trail for all activity related to an employee.

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `employee` | string | ja | The employee ID |

## Query-Parameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `type` | `all`, `employee`, `compensation`, `working_time`, `leave`, `schedule` | nein |  |
| `per_page` | integer | nein | Capped at 50 by the controller, see IndexAuditLogRequest. |

## Antworten

### 200: Paginated set of `AuditTrailResource`

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `data` | object[] | ja |  |
| `data[].id` | string | ja |  |
| `data[].event` | string | ja |  |
| `data[].subject_type` | string | ja |  |
| `data[].subject_label` | string \| `Sonstiges` | ja |  |
| `data[].causer_name` | string | ja |  |
| `data[].causer_id` | string | ja |  |
| `data[].description` | string | ja |  |
| `data[].changes` | object | ja |  |
| `data[].changes.old` | string \| null | ja |  |
| `data[].changes.new` | string \| null | ja |  |
| `data[].created_at` | string | ja |  |
| `links` | object | ja |  |
| `links.first` | string \| null | ja |  |
| `links.last` | string \| null | ja |  |
| `links.prev` | string \| null | ja |  |
| `links.next` | string \| null | ja |  |
| `meta` | object | ja |  |
| `meta.current_page` | integer | ja |  |
| `meta.from` | integer \| null | ja |  |
| `meta.last_page` | integer | ja |  |
| `meta.links` | object[] | ja | Generated paginator links. |
| `meta.links[].url` | string \| null | ja |  |
| `meta.links[].label` | string | ja |  |
| `meta.links[].active` | boolean | ja |  |
| `meta.path` | string \| null | ja | Base path for paginator generated URLs. |
| `meta.per_page` | integer | ja | Number of items shown per page. |
| `meta.to` | integer \| null | ja | Number of the last item in the slice. |
| `meta.total` | integer | ja | Total number of items being paginated. |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
